# FederationsList Class Reference

`#include <FederationsList.hh>`

List of all members.

## Public Member Functions
| FederationsList (SocketServer &, AuditFile &)
| ~FederationsList ()
void | createFederation (const char *, Handle, const char *FEDid) throw (FederationExecutionAlreadyExists, CouldNotOpenFED, ErrorReadingFED, MemoryExhausted, SecurityError, RTIinternalError)
| createFederation (with FEDERATION_USES_MULTICAST not defined)
void | exists (const char *name, Handle &handle) throw (FederationExecutionDoesNotExist, RTIinternalError)
void | destroyFederation (Handle) throw (FederatesCurrentlyJoined, FederationExecutionDoesNotExist, RTIinternalError)
std::string | info (Handle theHandle, int &nb_federes, int &nb_regulateurs, bool &is_syncing) throw (FederationExecutionDoesNotExist, RTIinternalError)
void | manageSynchronization (Handle theHandle, FederateHandle theFederate, bool state, const char *the_label, const char *the_tag) throw (FederationAlreadyPaused, FederationNotPaused, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | manageSynchronization (Handle theHandle, FederateHandle theFederate, bool state, const char *the_label, const char *the_tag, unsigned short federate_setSize, std::vector< FederateHandle > &federate_set) throw (FederationAlreadyPaused, FederationNotPaused, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | broadcastSynchronization (Handle handle, FederateHandle federate, const char *label, const char *tag) throw (FederationExecutionDoesNotExist, RTIinternalError)
| Called by processRegisterSynchronization.
void | broadcastSynchronization (Handle handle, FederateHandle federate, const char *label, const char *tag, unsigned short federate_setSize, std::vector< FederateHandle > &federate_set) throw (FederationExecutionDoesNotExist, RTIinternalError)
| Called by processRegisterSynchronization.
void | requestFederationSave (Handle the_federation, FederateHandle the_federate, const char *the_label, FederationTime the_time)
void | requestFederationSave (Handle the_federation, FederateHandle the_federate, const char *the_label)
void | federateSaveBegun (Handle, FederateHandle)
void | federateSaveStatus (Handle, FederateHandle, bool)
void | requestFederationRestore (Handle the_federation, FederateHandle the_federate, const char *the_label)
void | federateRestoreStatus (Handle the_federation, FederateHandle the_federate, bool the_status)
FederateHandle | addFederate (Handle theHandle, const char *theFederateName, SocketTCP *theTCPLink) throw (FederationExecutionDoesNotExist, FederateAlreadyExecutionMember, MemoryExhausted, RTIinternalError)
void | remove (Handle, FederateHandle) throw (FederationExecutionDoesNotExist, FederateOwnsAttributes, FederateNotExecutionMember, RTIinternalError)
void | setClassRelevanceAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets Class Relevance Advisory Switch.
void | unsetClassRelevanceAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Clears Class Relevance Advisory Switch.
void | setInteractionRelevanceAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets Interaction Relevance Advisory Switch.
void | unsetInteractionRelevanceAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Clears Interaction Relevance Advisory Switch.
void | setAttributeRelevanceAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets Attribute Relevance Advisory Switch.
void | unsetAttributeRelevanceAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Clears Attribute Relevance Advisory Switch.
void | setAttributeScopeAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Sets Attribute Scope Advisory Switch.
void | unsetAttributeScopeAdvisorySwitch (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Clears Attribute Scope Advisory Switch.
void | killFederate (Handle, FederateHandle) throw ()
void | createRegulator (Handle theHandle, FederateHandle theFederateHandle, FederationTime theTime) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | updateRegulator (Handle theHandle, FederateHandle theFederateHandle, FederationTime heure_logique) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, RTIinternalError)
void | removeRegulator (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | addConstrained (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
| Adds a constrained federate to federation.
void | removeConstrained (Handle theHandle, FederateHandle theFederateHandle) throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | publishObject (Handle theHandle, FederateHandle theFederateHandle, ObjectClassHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, UShort theListSize, bool pub) throw (ObjectClassNotDefined, AttributeNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, SecurityError, RTIinternalError)
void | subscribeObject (Handle theHandle, FederateHandle theFederateHandle, ObjectClassHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, UShort theListSize) throw (ObjectClassNotDefined, AttributeNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, SecurityError, RTIinternalError)
ObjectHandle | registerObject (Handle theHandle, FederateHandle theFederateHandle, ObjectClassHandle theClass, ObjectName_t theName) throw (FederateNotExecutionMember, FederateNotPublishing, ObjectAlreadyRegistered, ObjectClassNotDefined, ObjectClassNotPublished, SaveInProgress, RestoreInProgress, RTIinternalError)
FederateHandle | requestObjectOwner (Handle handle, FederateHandle federate, ObjectHandle id, std::vector< AttributeHandle > &attributes, UShort list_size) throw (ObjectNotKnown, FederationExecutionDoesNotExist, RTIinternalError)
void | destroyObject (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, FederationTime theTime, const char *theUserTag) throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, DeletePrivilegeNotHeld, ObjectNotKnown, SaveInProgress, RestoreInProgress, InvalidFederationTime, RTIinternalError)
void | destroyObject (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, const char *theUserTag) throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, DeletePrivilegeNotHeld, ObjectNotKnown, SaveInProgress, RestoreInProgress, RTIinternalError)
void | updateAttribute (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, std::vector< AttributeValue_t > &theValueList, UShort theListSize, FederationTime theTime, const char *theTag) throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, SaveInProgress, RestoreInProgress, RTIinternalError)
void | updateAttribute (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, std::vector< AttributeValue_t > &theValueList, UShort theListSize, const char *theTag) throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, SaveInProgress, RestoreInProgress, RTIinternalError)
void | publishInteraction (Handle theHandle, FederateHandle theFederateHandle, InteractionClassHandle theInteractionHandle, bool publish_or_unpublish) throw (InteractionClassNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, SecurityError, RestoreInProgress, RTIinternalError)
void | subscribeInteraction (Handle theHandle, FederateHandle theFederateHandle, InteractionClassHandle theInteractionHandle, bool subscribe_or_unsubscribe) throw (InteractionClassNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, SecurityError, RestoreInProgress, RTIinternalError)
void | updateParameter (Handle theFederation, FederateHandle theFederateHandle, InteractionClassHandle theInteractionHandle, std::vector< ParameterHandle > &theParameterList, std::vector< ParameterValue_t > &theValueList, UShort theListSize, FederationTime theTime, RegionHandle, const char *theTag) throw (FederateNotExecutionMember, FederateNotPublishing, FederationExecutionDoesNotExist, InteractionClassNotDefined, InteractionParameterNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)
void | updateParameter (Handle theFederation, FederateHandle theFederateHandle, InteractionClassHandle theInteractionHandle, std::vector< ParameterHandle > &theParameterList, std::vector< ParameterValue_t > &theValueList, UShort theListSize, RegionHandle, const char *theTag) throw (FederateNotExecutionMember, FederateNotPublishing, FederationExecutionDoesNotExist, InteractionClassNotDefined, InteractionParameterNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)
bool | isOwner (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, AttributeHandle theAttribute) throw (FederateNotExecutionMember, ObjectNotKnown, AttributeNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)
void | searchOwner (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, AttributeHandle theAttribute) throw (FederateNotExecutionMember, ObjectNotKnown, AttributeNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)
void | negotiateDivestiture (Handle, FederateHandle, ObjectHandle, std::vector< AttributeHandle > &, UShort, const char *) throw (FederateNotExecutionMember, ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeAlreadyBeingDivested, SaveInProgress, RestoreInProgress, RTIinternalError)
void | acquireIfAvailable (Handle, FederateHandle, ObjectHandle, std::vector< AttributeHandle > &, UShort) throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, AttributeAlreadyBeingAcquired, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | divest (Handle, FederateHandle, ObjectHandle, std::vector< AttributeHandle > &, UShort) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | acquire (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, UShort theListSize, const char *theTag) throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | cancelDivestiture (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, UShort theListSize) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeDivestitureWasNotRequested, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
AttributeHandleSet * | respondRelease (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, UShort theListSize) throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateWasNotAskedToReleaseAttribute, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | cancelAcquisition (Handle theHandle, FederateHandle theFederateHandle, ObjectHandle theObjectHandle, std::vector< AttributeHandle > &theAttributeList, UShort theListSize) throw (ObjectNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotRequested, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
long | createRegion (Handle, FederateHandle, SpaceHandle, long) throw (SpaceNotDefined, InvalidExtents, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | modifyRegion (Handle, FederateHandle, RegionHandle, const std::vector< Extent > &) throw (InvalidExtents, SaveInProgress, RestoreInProgress, RTIinternalError)
void | deleteRegion (Handle, FederateHandle, long) throw (RegionNotKnown, RegionInUse, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | associateRegion (Handle, FederateHandle, ObjectHandle, RegionHandle, unsigned short, std::vector< AttributeHandle > &) throw (RegionInUse, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unassociateRegion (Handle, FederateHandle, ObjectHandle, RegionHandle) throw (RegionInUse, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | subscribeAttributesWR (Handle, FederateHandle, ObjectClassHandle, RegionHandle, unsigned short, std::vector< AttributeHandle > &) throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unsubscribeAttributesWR (Handle, FederateHandle, ObjectClassHandle, RegionHandle) throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | subscribeInteractionWR (Handle, FederateHandle, InteractionClassHandle, RegionHandle) throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | unsubscribeInteractionWR (Handle, FederateHandle, InteractionClassHandle, RegionHandle) throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
ObjectHandle | registerObjectWithRegion (Handle, FederateHandle, ObjectClassHandle, ObjectName_t, RegionHandle, int, std::vector< AttributeHandle > &) throw (ObjectClassNotDefined, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, RegionNotKnown, InvalidRegionContext, ObjectAlreadyRegistered, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)
void | setVerboseLevel (int theVerboseLevel)
## Private Member Functions
void | checkHandle (Handle theHandle) throw (RTIinternalError)
int | searchFederation (Handle the_handle, Federation *&federation) throw (FederationExecutionDoesNotExist, RTIinternalError)
## Private Attributes
SocketServer & | socketServer
AuditFile & | auditFile
int | verboseLevel

## Detailed Description

FederationsList keep track on federation operations.

Definition at line 40 of file FederationsList.hh.

## Constructor & Destructor Documentation

FederationsList | ( | SocketServer & | server,
|  | AuditFile & | audit |
| ) |  |  |

Definition at line 39 of file FederationsList.cc.

~FederationsList | ( |  | ) |

Definition at line 49 of file FederationsList.cc.

References certi::rtig::D, certi::fedparser::end(), PrettyDebug::Out(), and pdError.

Here is the call graph for this function:

## Member Function Documentation

void createFederation | ( | const char * | name,
|  | Handle | handle,
|  | const char * | FEDid |
| ) |  |  | throw (FederationExecutionAlreadyExists, CouldNotOpenFED, ErrorReadingFED, MemoryExhausted, SecurityError, RTIinternalError)

createFederation (with FEDERATION_USES_MULTICAST not defined)

Parameters:

  | name | Federation name
  | handle | Federation handle
  | FEDid | execution id. of the federation (i.e. file name)

Definition at line 352 of file FederationsList.cc.

References D, G, PrettyDebug::Out(), pdDebug, pdExcept, pdGendoc, and pdInit.

Referenced by RTIG::processCreateFederation().

Here is the call graph for this function:

void exists | ( | const char * | name,
|  | Handle & | handle |
| ) |  |  | throw (FederationExecutionDoesNotExist, RTIinternalError)

Return the Handle of the Federation named "name" if it is found in the FederationList, else throw FederationExecutionDoesNotExist.

Definition at line 500 of file FederationsList.cc.

References D, certi::fedparser::end(), G, PrettyDebug::Out(), pdDebug, and pdGendoc.

Referenced by RTIG::processDestroyFederation(), and RTIG::processJoinFederation().

Here is the call graph for this function:

void destroyFederation | ( | Handle | handle | ) | throw (FederatesCurrentlyJoined, FederationExecutionDoesNotExist, RTIinternalError)

Definition at line 1034 of file FederationsList.cc.

References Federation::empty(), certi::fedparser::end(), G, PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::processDestroyFederation().

Here is the call graph for this function:

std::string info | ( | Handle | theHandle,
|  | int & | nb_federes,
|  | int & | nb_regulateurs,
|  | bool & | is_syncing |
| ) |  |  | throw (FederationExecutionDoesNotExist, RTIinternalError)

Definition at line 530 of file FederationsList.cc.

References G, Federation::getFEDid(), Federation::getNbFederates(), Federation::getNbRegulators(), Federation::isSynchronizing(), PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::processJoinFederation().

Here is the call graph for this function:

void manageSynchronization | ( | Handle | handle,
|  | FederateHandle | federate,
|  | bool | state,
|  | const char * | label,
|  | const char * | tag |
| ) |  |  | throw (FederationAlreadyPaused, FederationNotPaused, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Called by processRegisterSynchronization and processSynchronizationAchieved.

Definition at line 770 of file FederationsList.cc.

References certi::fedparser::federate, G, PrettyDebug::Out(), pdGendoc, Federation::registerSynchronization(), and Federation::unregisterSynchronization().

Referenced by RTIG::processRegisterSynchronization(), and RTIG::processSynchronizationAchieved().

Here is the call graph for this function:

void manageSynchronization | ( | Handle | theHandle,
|  | FederateHandle | theFederate,
|  | bool | state,
|  | const char * | the_label,
|  | const char * | the_tag,
|  | unsigned short | federate_setSize,
|  | std::vector< FederateHandle > & | federate_set |
| ) |  |  | throw (FederationAlreadyPaused, FederationNotPaused, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 803 of file FederationsList.cc.

References certi::fedparser::federate, G, PrettyDebug::Out(), pdGendoc, Federation::registerSynchronization(), and Federation::unregisterSynchronization().

Here is the call graph for this function:

void broadcastSynchronization | ( | Handle | handle,
|  | FederateHandle | federate,
|  | const char * | label,
|  | const char * | tag |
| ) |  |  | throw (FederationExecutionDoesNotExist, RTIinternalError)

Called by processRegisterSynchronization.

Definition at line 841 of file FederationsList.cc.

References Federation::broadcastSynchronization(), certi::fedparser::federate, G, PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::processRegisterSynchronization().

Here is the call graph for this function:

void broadcastSynchronization | ( | Handle | handle,
|  | FederateHandle | federate,
|  | const char * | label,
|  | const char * | tag,
|  | unsigned short | federate_setSize,
|  | std::vector< FederateHandle > & | federate_set |
| ) |  |  | throw (FederationExecutionDoesNotExist, RTIinternalError)

Called by processRegisterSynchronization.

Definition at line 867 of file FederationsList.cc.

References Federation::broadcastSynchronization(), certi::fedparser::federate, G, PrettyDebug::Out(), and pdGendoc.

Here is the call graph for this function:

void requestFederationSave | ( | Handle | the_federation,
|  | FederateHandle | the_federate,
|  | const char * | the_label,
|  | FederationTime | the_time |
| ) |  |  |

Definition at line 1616 of file FederationsList.cc.

References FederationsList::checkHandle(), certi::rtig::G, PrettyDebug::Out(), pdGendoc, Federation::requestFederationSave(), and FederationsList::searchFederation().

Referenced by RTIG::processRequestFederationSave().

Here is the call graph for this function:

void requestFederationSave | ( | Handle | the_federation,
|  | FederateHandle | the_federate,
|  | const char * | the_label |
| ) |  |  |

Definition at line 1637 of file FederationsList.cc.

References FederationsList::checkHandle(), certi::rtig::G, PrettyDebug::Out(), pdGendoc, Federation::requestFederationSave(), and FederationsList::searchFederation().

Here is the call graph for this function:

void federateSaveBegun | ( | Handle | the_federation,
|  | FederateHandle | the_federate |
| ) |  |  |

Definition at line 1655 of file FederationsList.cc.

References FederationsList::checkHandle(), Federation::federateSaveBegun(), certi::rtig::G, PrettyDebug::Out(), pdGendoc, and FederationsList::searchFederation().

Referenced by RTIG::processFederateSaveBegun().

Here is the call graph for this function:

void federateSaveStatus | ( | Handle | the_federation,
|  | FederateHandle | the_federate,
|  | bool | the_status |
| ) |  |  |

Definition at line 1673 of file FederationsList.cc.

References FederationsList::checkHandle(), Federation::federateSaveStatus(), certi::rtig::G, PrettyDebug::Out(), pdGendoc, and FederationsList::searchFederation().

Referenced by RTIG::processFederateSaveStatus().

Here is the call graph for this function:

void requestFederationRestore | ( | Handle | the_federation,
|  | FederateHandle | the_federate,
|  | const char * | the_label |
| ) |  |  |

Definition at line 1692 of file FederationsList.cc.

References FederationsList::checkHandle(), certi::rtig::G, PrettyDebug::Out(), pdGendoc, Federation::requestFederationRestore(), and FederationsList::searchFederation().

Referenced by RTIG::processRequestFederationRestore().

Here is the call graph for this function:

void federateRestoreStatus | ( | Handle | the_federation,
|  | FederateHandle | the_federate,
|  | bool | the_status |
| ) |  |  |

Definition at line 1709 of file FederationsList.cc.

References FederationsList::checkHandle(), Federation::federateRestoreStatus(), certi::rtig::G, PrettyDebug::Out(), pdGendoc, and FederationsList::searchFederation().

Referenced by RTIG::processFederateRestoreStatus().

Here is the call graph for this function:

FederateHandle addFederate | ( | Handle | handle,
|  | const char * | name,
|  | SocketTCP * | tcp_link |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateAlreadyExecutionMember, MemoryExhausted, RTIinternalError)

Creates a new Federate if its name is unique, and returns its new Federate Handle. Also sends Null messages from all other federates to initialize its LBTS, and finally a RequestPause message if the Federation is already paused.

Definition at line 283 of file FederationsList.cc.

References Federation::add(), certi::fedparser::federate, G, PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::processJoinFederation().

Here is the call graph for this function:

void remove | ( | Handle | handle,
|  | FederateHandle | federate |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateOwnsAttributes, FederateNotExecutionMember, RTIinternalError)

Definition at line 1066 of file FederationsList.cc.

References certi::fedparser::federate, G, PrettyDebug::Out(), pdGendoc, and Federation::remove().

Referenced by RTIG::processResignFederation().

Here is the call graph for this function:

void setClassRelevanceAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets Class Relevance Advisory Switch.

Definition at line 63 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::setClassRelevanceAdvisorySwitch().

Referenced by RTIG::processSetClassRelevanceAdvisorySwitch().

Here is the call graph for this function:

void unsetClassRelevanceAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Clears Class Relevance Advisory Switch.

Definition at line 87 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::unsetClassRelevanceAdvisorySwitch().

Referenced by RTIG::processSetClassRelevanceAdvisorySwitch().

Here is the call graph for this function:

void setInteractionRelevanceAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets Interaction Relevance Advisory Switch.

Definition at line 111 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::setInteractionRelevanceAdvisorySwitch().

Referenced by RTIG::processSetInteractionRelevanceAdvisorySwitch().

Here is the call graph for this function:

void unsetInteractionRelevanceAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Clears Interaction Relevance Advisory Switch.

Definition at line 135 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::unsetInteractionRelevanceAdvisorySwitch().

Referenced by RTIG::processSetInteractionRelevanceAdvisorySwitch().

Here is the call graph for this function:

void setAttributeRelevanceAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets Attribute Relevance Advisory Switch.

Definition at line 159 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::setAttributeRelevanceAdvisorySwitch().

Referenced by RTIG::processSetAttributeRelevanceAdvisorySwitch().

Here is the call graph for this function:

void unsetAttributeRelevanceAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Clears Attribute Relevance Advisory Switch.

Definition at line 183 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::unsetAttributeRelevanceAdvisorySwitch().

Referenced by RTIG::processSetAttributeRelevanceAdvisorySwitch().

Here is the call graph for this function:

void setAttributeScopeAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Sets Attribute Scope Advisory Switch.

Definition at line 207 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::setAttributeScopeAdvisorySwitch().

Referenced by RTIG::processSetAttributeScopeAdvisorySwitch().

Here is the call graph for this function:

void unsetAttributeScopeAdvisorySwitch | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Clears Attribute Scope Advisory Switch.

Definition at line 231 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::unsetAttributeScopeAdvisorySwitch().

Referenced by RTIG::processSetAttributeScopeAdvisorySwitch().

Here is the call graph for this function:

void killFederate | ( | Handle | handle,
|  | FederateHandle | federate |
| ) |  |  | throw ()

This Method tries to remove all references to this Federate in the Federation. To be used when a Federate is supposed to have crashed.

Definition at line 1116 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::kill().

Referenced by RTIG::closeConnection().

Here is the call graph for this function:

void createRegulator | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | FederationTime | theTime |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 416 of file FederationsList.cc.

References Federation::addRegulator(), and certi::fedparser::federate.

Referenced by RTIG::processSetTimeRegulating().

Here is the call graph for this function:

void updateRegulator | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | FederationTime | heure_logique |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, RTIinternalError)

Definition at line 607 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::updateRegulator().

Referenced by RTIG::processMessageNull().

Here is the call graph for this function:

void removeRegulator | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1091 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::removeRegulator().

Referenced by RTIG::processSetTimeRegulating().

Here is the call graph for this function:

void addConstrained | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Adds a constrained federate to federation.

Definition at line 255 of file FederationsList.cc.

References Federation::addConstrained(), and certi::fedparser::federate.

Referenced by RTIG::processSetTimeConstrained().

Here is the call graph for this function:

void removeConstrained | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle |
| ) |  |  | throw (FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1010 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::removeConstrained().

Referenced by RTIG::processSetTimeConstrained().

Here is the call graph for this function:

void publishObject | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectClassHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | UShort | theListSize,
|  | bool | pub |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, SecurityError, RTIinternalError)

Definition at line 922 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::publishObject().

Referenced by RTIG::processPublishObjectClass().

Here is the call graph for this function:

void subscribeObject | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectClassHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | UShort | theListSize |
| ) |  |  | throw (ObjectClassNotDefined, AttributeNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, SecurityError, RTIinternalError)

Definition at line 981 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::subscribeObject().

Referenced by RTIG::processSubscribeObjectClass().

Here is the call graph for this function:

ObjectHandle registerObject | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectClassHandle | theClass,
|  | ObjectName_t | theName |
| ) |  |  | throw (FederateNotExecutionMember, FederateNotPublishing, ObjectAlreadyRegistered, ObjectClassNotDefined, ObjectClassNotPublished, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 562 of file FederationsList.cc.

References D, certi::fedparser::federate, PrettyDebug::Out(), pdTrace, and Federation::registerObject().

Referenced by RTIG::processRegisterObject().

Here is the call graph for this function:

FederateHandle requestObjectOwner | ( | Handle | handle,
|  | FederateHandle | federate,
|  | ObjectHandle | id,
|  | std::vector< AttributeHandle > & | attributes,
|  | UShort | list_size |
| ) |  |  | throw (ObjectNotKnown, FederationExecutionDoesNotExist, RTIinternalError)

Definition at line 1727 of file FederationsList.cc.

References FederationsList::checkHandle(), certi::fedparser::federate, certi::rtig::G, PrettyDebug::Out(), pdGendoc, Federation::requestObjectOwner(), and FederationsList::searchFederation().

Referenced by RTIG::processRequestObjectAttributeValueUpdate().

Here is the call graph for this function:

void destroyObject | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | FederationTime | theTime,
|  | const char * | theUserTag |
| ) |  |  | throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, DeletePrivilegeNotHeld, ObjectNotKnown, SaveInProgress, RestoreInProgress, InvalidFederationTime, RTIinternalError)

Definition at line 441 of file FederationsList.cc.

References Federation::deleteObject(), and certi::fedparser::federate.

Referenced by RTIG::processDeleteObject().

Here is the call graph for this function:

void destroyObject | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | const char * | theUserTag |
| ) |  |  | throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, DeletePrivilegeNotHeld, ObjectNotKnown, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 471 of file FederationsList.cc.

References Federation::deleteObject(), and certi::fedparser::federate.

Here is the call graph for this function:

void updateAttribute | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | std::vector< AttributeValue_t > & | theValueList,
|  | UShort | theListSize,
|  | FederationTime | theTime,
|  | const char * | theTag |
| ) |  |  | throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 629 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::updateAttributeValues().

Referenced by RTIG::processUpdateAttributeValues().

Here is the call graph for this function:

void updateAttribute | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | std::vector< AttributeValue_t > & | theValueList,
|  | UShort | theListSize,
|  | const char * | theTag |
| ) |  |  | throw (FederateNotExecutionMember, FederationExecutionDoesNotExist, ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 662 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::updateAttributeValues().

Here is the call graph for this function:

void publishInteraction | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | InteractionClassHandle | theInteractionHandle,
|  | bool | publish_or_unpublish |
| ) |  |  | throw (InteractionClassNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, SecurityError, RestoreInProgress, RTIinternalError)

Definition at line 895 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::publishInteraction().

Referenced by RTIG::processPublishInteractionClass().

Here is the call graph for this function:

void subscribeInteraction | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | InteractionClassHandle | theInteractionHandle,
|  | bool | subscribe_or_unsubscribe |
| ) |  |  | throw (InteractionClassNotDefined, FederationExecutionDoesNotExist, FederateNotExecutionMember, SaveInProgress, SecurityError, RestoreInProgress, RTIinternalError)

Definition at line 954 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::subscribeInteraction().

Referenced by RTIG::processSubscribeInteractionClass().

Here is the call graph for this function:

void updateParameter | ( | Handle | theFederation,
|  | FederateHandle | theFederateHandle,
|  | InteractionClassHandle | theInteractionHandle,
|  | std::vector< ParameterHandle > & | theParameterList,
|  | std::vector< ParameterValue_t > & | theValueList,
|  | UShort | theListSize,
|  | FederationTime | theTime,
|  | RegionHandle | region,
|  | const char * | theTag |
| ) |  |  | throw (FederateNotExecutionMember, FederateNotPublishing, FederationExecutionDoesNotExist, InteractionClassNotDefined, InteractionParameterNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 693 of file FederationsList.cc.

References Federation::broadcastInteraction(), certi::fedparser::federate, G, PrettyDebug::Out(), and pdGendoc.

Referenced by RTIG::processSendInteraction().

Here is the call graph for this function:

void updateParameter | ( | Handle | theFederation,
|  | FederateHandle | theFederateHandle,
|  | InteractionClassHandle | theInteractionHandle,
|  | std::vector< ParameterHandle > & | theParameterList,
|  | std::vector< ParameterValue_t > & | theValueList,
|  | UShort | theListSize,
|  | RegionHandle | region,
|  | const char * | theTag |
| ) |  |  | throw (FederateNotExecutionMember, FederateNotPublishing, FederationExecutionDoesNotExist, InteractionClassNotDefined, InteractionParameterNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 732 of file FederationsList.cc.

References Federation::broadcastInteraction(), certi::fedparser::federate, G, PrettyDebug::Out(), and pdGendoc.

Here is the call graph for this function:

bool isOwner | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | AttributeHandle | theAttribute |
| ) |  |  | throw (FederateNotExecutionMember, ObjectNotKnown, AttributeNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1138 of file FederationsList.cc.

References certi::fedparser::attribute, D, certi::fedparser::federate, Federation::isOwner(), PrettyDebug::Out(), and pdDebug.

Referenced by RTIG::processAttributeOwnedByFederate().

Here is the call graph for this function:

void searchOwner | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | AttributeHandle | theAttribute |
| ) |  |  | throw (FederateNotExecutionMember, ObjectNotKnown, AttributeNotDefined, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1166 of file FederationsList.cc.

References certi::fedparser::attribute, D, certi::fedparser::federate, PrettyDebug::Out(), pdDebug, and Federation::queryAttributeOwnership().

Referenced by RTIG::processQueryAttributeOwnership().

Here is the call graph for this function:

void negotiateDivestiture | ( | Handle | handle,
|  | FederateHandle | federate,
|  | ObjectHandle | id,
|  | std::vector< AttributeHandle > & | attributes,
|  | UShort | list_size,
|  | const char * | tag |
| ) |  |  | throw (FederateNotExecutionMember, ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeAlreadyBeingDivested, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1195 of file FederationsList.cc.

References D, certi::fedparser::federate, Federation::negotiateDivestiture(), PrettyDebug::Out(), and pdDebug.

Referenced by RTIG::processNegotiatedOwnershipDivestiture().

Here is the call graph for this function:

void acquireIfAvailable | ( | Handle | handle,
|  | FederateHandle | federate,
|  | ObjectHandle | id,
|  | std::vector< AttributeHandle > & | attributes,
|  | UShort | list_size |
| ) |  |  | throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, AttributeAlreadyBeingAcquired, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1227 of file FederationsList.cc.

References Federation::acquireIfAvailable(), and certi::fedparser::federate.

Referenced by RTIG::processAcquisitionIfAvailable().

Here is the call graph for this function:

void divest | ( | Handle | handle,
|  | FederateHandle | federate,
|  | ObjectHandle | id,
|  | std::vector< AttributeHandle > & | attributes,
|  | UShort | list_size |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1258 of file FederationsList.cc.

References Federation::divest(), and certi::fedparser::federate.

Referenced by RTIG::processUnconditionalDivestiture().

Here is the call graph for this function:

void acquire | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | UShort | theListSize,
|  | const char * | theTag |
| ) |  |  | throw (ObjectNotKnown, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, FederateOwnsAttributes, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1286 of file FederationsList.cc.

References Federation::acquire(), D, certi::fedparser::federate, PrettyDebug::Out(), and pdDebug.

Referenced by RTIG::processOwnershipAcquisition().

Here is the call graph for this function:

void cancelDivestiture | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | UShort | theListSize |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, AttributeDivestitureWasNotRequested, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1319 of file FederationsList.cc.

References Federation::cancelDivestiture(), D, certi::fedparser::federate, PrettyDebug::Out(), and pdDebug.

Referenced by RTIG::processCancelNegotiatedDivestiture().

Here is the call graph for this function:

AttributeHandleSet * respondRelease | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | UShort | theListSize |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeNotOwned, FederateWasNotAskedToReleaseAttribute, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1346 of file FederationsList.cc.

References D, certi::fedparser::federate, PrettyDebug::Out(), pdDebug, and Federation::respondRelease().

Referenced by RTIG::processReleaseResponse().

Here is the call graph for this function:

void cancelAcquisition | ( | Handle | theHandle,
|  | FederateHandle | theFederateHandle,
|  | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | theAttributeList,
|  | UShort | theListSize |
| ) |  |  | throw (ObjectNotKnown, AttributeNotDefined, AttributeAlreadyOwned, AttributeAcquisitionWasNotRequested, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1377 of file FederationsList.cc.

References Federation::cancelAcquisition(), D, certi::fedparser::federate, PrettyDebug::Out(), and pdDebug.

Referenced by RTIG::processCancelAcquisition().

Here is the call graph for this function:

long createRegion | ( | Handle | federation,
|  | FederateHandle | federate,
|  | SpaceHandle | space,
|  | long | nb_extents |
| ) |  |  | throw (SpaceNotDefined, InvalidExtents, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1407 of file FederationsList.cc.

References Federation::createRegion(), D, certi::fedparser::federate, and pdDebug.

Referenced by RTIG::processCreateRegion().

Here is the call graph for this function:

void modifyRegion | ( | Handle | federation,
|  | FederateHandle | federate,
|  | RegionHandle | region,
|  | const std::vector< Extent > & | extents |
| ) |  |  | throw (InvalidExtents, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1428 of file FederationsList.cc.

References D, certi::fedparser::federate, Federation::modifyRegion(), and pdDebug.

Referenced by RTIG::processModifyRegion().

Here is the call graph for this function:

void deleteRegion | ( | Handle | federation,
|  | FederateHandle | federate,
|  | long | region |
| ) |  |  | throw (RegionNotKnown, RegionInUse, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1446 of file FederationsList.cc.

References D, Federation::deleteRegion(), certi::fedparser::federate, and pdDebug.

Referenced by RTIG::processDeleteRegion().

Here is the call graph for this function:

void associateRegion | ( | Handle | federation,
|  | FederateHandle | federate,
|  | ObjectHandle | object,
|  | RegionHandle | region,
|  | unsigned short | nb_attributes,
|  | std::vector< AttributeHandle > & | attributes |
| ) |  |  | throw (RegionInUse, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1465 of file FederationsList.cc.

References Federation::associateRegion(), D, certi::fedparser::federate, and pdDebug.

Referenced by RTIG::processAssociateRegion().

Here is the call graph for this function:

void unassociateRegion | ( | Handle | federation,
|  | FederateHandle | federate,
|  | ObjectHandle | object,
|  | RegionHandle | region |
| ) |  |  | throw (RegionInUse, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1489 of file FederationsList.cc.

References D, certi::fedparser::federate, pdDebug, and Federation::unassociateRegion().

Referenced by RTIG::processUnassociateRegion().

Here is the call graph for this function:

void subscribeAttributesWR | ( | Handle | federation,
|  | FederateHandle | federate,
|  | ObjectClassHandle | object_class,
|  | RegionHandle | region,
|  | unsigned short | nb,
|  | std::vector< AttributeHandle > & | attributes |
| ) |  |  | throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1509 of file FederationsList.cc.

References D, certi::fedparser::federate, pdDebug, and Federation::subscribeAttributesWR().

Referenced by RTIG::processSubscribeAttributesWR().

Here is the call graph for this function:

void unsubscribeAttributesWR | ( | Handle | federation,
|  | FederateHandle | federate,
|  | ObjectClassHandle | object_class,
|  | RegionHandle | region |
| ) |  |  | throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1531 of file FederationsList.cc.

References D, certi::fedparser::federate, pdDebug, and Federation::unsubscribeAttributesWR().

Referenced by RTIG::processUnsubscribeAttributesWR().

Here is the call graph for this function:

void subscribeInteractionWR | ( | Handle | federation,
|  | FederateHandle | federate,
|  | InteractionClassHandle | ic,
|  | RegionHandle | region |
| ) |  |  | throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1551 of file FederationsList.cc.

References D, certi::fedparser::federate, pdDebug, and Federation::subscribeInteractionWR().

Referenced by RTIG::processSubscribeInteractionWR().

Here is the call graph for this function:

void unsubscribeInteractionWR | ( | Handle | federation,
|  | FederateHandle | federate,
|  | InteractionClassHandle | ic,
|  | RegionHandle | region |
| ) |  |  | throw (FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1571 of file FederationsList.cc.

References D, certi::fedparser::federate, pdDebug, and Federation::unsubscribeInteractionWR().

Referenced by RTIG::processUnsubscribeInteractionWR().

Here is the call graph for this function:

ObjectHandle registerObjectWithRegion | ( | Handle | federation,
|  | FederateHandle | federate,
|  | ObjectClassHandle | handle,
|  | ObjectName_t | tag,
|  | RegionHandle | region,
|  | int | nb,
|  | std::vector< AttributeHandle > & | attrs |
| ) |  |  | throw (ObjectClassNotDefined, ObjectClassNotPublished, AttributeNotDefined, AttributeNotPublished, RegionNotKnown, InvalidRegionContext, ObjectAlreadyRegistered, FederateNotExecutionMember, SaveInProgress, RestoreInProgress, RTIinternalError)

Definition at line 1591 of file FederationsList.cc.

References certi::fedparser::federate, and Federation::registerObjectWithRegion().

Referenced by RTIG::processRegisterObjectWithRegion().

Here is the call graph for this function:

void setVerboseLevel | ( | int | theVerboseLevel | ) | `[inline]`

Definition at line 637 of file FederationsList.hh.

References FederationsList::verboseLevel.

Referenced by RTIG::RTIG(), and RTIG::setVerboseLevel().

void checkHandle | ( | Handle | handle | ) | throw (RTIinternalError)`[private]`

handle can be any type of handle, not only a Federation handle. Throw an exception if Handle is not correct(too low or too big)

Definition at line 595 of file FederationsList.cc.

References D, PrettyDebug::Out(), and pdExcept.

Referenced by FederationsList::federateRestoreStatus(), FederationsList::federateSaveBegun(), FederationsList::federateSaveStatus(), FederationsList::requestFederationRestore(), FederationsList::requestFederationSave(), and FederationsList::requestObjectOwner().

Here is the call graph for this function:

int searchFederation | ( | Handle | the_handle,
|  | Federation *& | federation |
| ) |  |  | throw (FederationExecutionDoesNotExist, RTIinternalError)`[private]`

Definition at line 315 of file FederationsList.cc.

References D, certi::fedparser::end(), PrettyDebug::Out(), and pdExcept.

Referenced by FederationsList::federateRestoreStatus(), FederationsList::federateSaveBegun(), FederationsList::federateSaveStatus(), FederationsList::requestFederationRestore(), FederationsList::requestFederationSave(), and FederationsList::requestObjectOwner().

Here is the call graph for this function:

## Member Data Documentation

SocketServer& socketServer`[private]`

Definition at line 43 of file FederationsList.hh.

AuditFile& auditFile`[private]`

Definition at line 44 of file FederationsList.hh.

int verboseLevel`[private]`

Definition at line 645 of file FederationsList.hh.

Referenced by FederationsList::setVerboseLevel().

The documentation for this class was generated from the following files:

- FederationsList.hh
- FederationsList.cc